﻿/*  TEMA CLARO */

:root {
  --background: #F5F7FB;
  --surface: #FFFFFF;
  --surface-hover: #F8FAFC;
  --text: #1F2937;
  --text-secondary: #6B7280;
  --primary: #080234;
  --primary-hover: #2E2768;
  --border: #E5E7EB;
  --shadow: 0 8px 30px rgba(0,0,0,.05);
  --codebackground: #f5f5f5;
  --logo: url('../../Public/Imagens/logo-azul.png');
}

/*  TEMA ESCURO */

body.dark {
  --background: #0F172A;
  --surface: #1E293B;
  --surface-hover: #334155;
  --text: #F8FAFC;
  --text-secondary: #CBD5E1;
  --primary: #1982C4;
  --primary-hover: #939BFF;
  --border: #334155;
  --shadow: 0 10px 30px rgba(0,0,0,.35);
  --codebackground: #0f0d0d;
  --logo: url('../../Public/Imagens/logo-branca.png');
}

/*   TRANSIÇÕES    */

body,
header,
section,
footer,
.card,
.navbar,
button,
a {
  transition: background-color .25s, color .25s, border-color .25s, box-shadow .25s;
}
